# Inspecting Collector connection status

For the whole Nexthink solution to work properly, it is essential that the Collector instances can communicate with their target Nexthink instance. To easily determine the status of the connection between a Collector and its assigned Nexthink instance, Collector registers all connection attempts in the standard log of the underlying operating system.

* Collector for Windows writes the messages to the Windows Event log.
* Collector for macOS writes the messages to the system log.

## Connection messages <a href="#inspectingcollectorconnectionstatus-connectionmessages" id="inspectingcollectorconnectionstatus-connectionmessages"></a>

When writing log messages to the Windows Event Log, Collector for Windows classifies the messages as **Application** logs and always tags them with the same source and task category:

**Source**\
Nexthink Collector.

**Task Category**\
Connection events.

The table below contains the complete list of messages and the other tags that the Collectors, both Windows and macOS, can write to the log. The parts of the message in italics are replaced by actual data:

<table data-full-width="true"><thead><tr><th width="167">Message</th><th>Level (Windows)</th><th>Event ID (Windows)</th><th>Process (macOS)</th><th>Type (macOS)</th></tr></thead><tbody><tr><td>Connection to Nexthink Appliance has been established [appliance host: <em>host_name:port</em>][resolved appliance IP: <em>ip_address</em>]</td><td>Information</td><td>259</td><td>nxtcoordinator</td><td>Info</td></tr><tr><td>Connection to Nexthink Appliance can not be established: TCP connection failure: <em>error</em> [appliance host: <em>host_name:port</em>][resolved appliance IP: <em>ip_address</em>]</td><td>Error</td><td>256</td><td>nxtcoordinator</td><td>Error</td></tr><tr><td>Connection to Nexthink Appliance can not be established: Protocol error [appliance host: <em>host_name:port</em>][resolved appliance IP: <em>ip_address</em>]</td><td>Error</td><td>256</td><td>nxtcoordinator</td><td>Error</td></tr><tr><td>Connection to Nexthink Appliance can not be established: Websocket error: Certificate issue [appliance host: <em>host_name:port</em>][resolved appliance IP: <em>ip_address</em>]</td><td>Error</td><td>256</td><td>nxtcoordinator</td><td>Error</td></tr><tr><td>Connection to Nexthink Appliance can not be established: Websocket error: Host not found [appliance host: <em>host_name:port</em>][resolved appliance IP: <em>ip_address</em>]</td><td>Error</td><td>256</td><td>nxtcoordinator</td><td>Error</td></tr><tr><td>Connection to Nexthink Appliance can not be established: Websocket error: <em>error</em> [appliance host: <em>host_name:port</em>][resolved appliance IP: <em>ip_address</em>]</td><td>Error</td><td>256</td><td>nxtcoordinator</td><td>Error</td></tr><tr><td>The Nexthink Appliance URL does not have a valid format [appliance host: <em>host_name:port</em>][resolved appliance IP: <em>ip_address</em>]</td><td>Error</td><td>256</td><td>nxtcoordinator</td><td>Error</td></tr><tr><td>Received an error message from Nexthink Appliance: <em>error_code</em> error message. Message content: <em>error_message</em></td><td>Error</td><td>256</td><td>nxtcoordinator</td><td>Error</td></tr><tr><td>Failed to send data, size data_size ; WSAGetLastError: <em>error</em> [appliance host: <em>host_name:port</em>][resolved appliance IP: <em>ip_address</em>]</td><td>Error</td><td>256</td><td>nxtcoordinator</td><td>Error</td></tr><tr><td>Failed to create socket with preferIpv6ForHost [ip_address]. Reason: <em>error</em> [appliance host: <em>host_name:port</em>][resolved appliance IP: <em>ip_address</em>]</td><td>Warning</td><td>257</td><td>nxtsvc</td><td>Warning</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/managing-collector-agents/inspecting-collector-connection-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
